import request from '@/utils/request'

// 事件分析  获取数据
export function getRunOnlineRateData(data: any) {
    return request({
        url: '/device-boot/communicate/getRunOnlineRateData',
        method: 'post',
        data
    })
}
// 事件分析  运行状态 获取数据
export function getComFlagInfoData(data: any) {
    return request({
        url: '/device-boot/communicate/getComFlagInfoData',
        method: 'post',
        data
    })
}

// 事件分析  运行状态 获取数据
export function getRunInfoData(data: any) {
    return request({
        url: '/device-boot/communicate/getRunInfoData',
        method: 'post',
        data
    })
}
// 根据监测点id获取越限数值
export function getOverLimitData(data: any) {
    return request({
        url: '/device-boot/line/getOverLimitData',
        method: 'post',
        params: data
    })
}
// 获取监测点id取监测点信息
export function getLineDetail(data: any) {
    return request({
        url: '/device-boot/commLine/getLineDetail',
        method: 'get',
        params: data
    })
}
